Legacy Data Integration API Reference (1.0.0) - Createpullrequestsforresults
Create pull request to trigger an ASYNC results preview action
Authorizations:
BearerToken
Request Body schema: application/json
| name | string The sub river name |
| description | string A sub river description |
| source | object (SourceSubRiverSchema) The source parameters wanted to be set in the sub river. For the specifications of the allowed source parameters, please go to Properties section in this API. |
| target | object (TargetSubRiverSchema) The target parameters wanted to be set in the sub river. For the specifications of the allowed target parameters, please go to Properties section in this API. |
| is_scheduled | boolean A flag indicated if the sub river is scheduled. |
object (ScheduleSchema) The schedule definition for the sub river, in quartz with 0 seconds required | |
| inherit_schedule | boolean A flag indicates if the sub river inherits its schedule properties from the river. |
| is_enabled | boolean A flag indicates if the sub river is in active state or not |
Responses
Response Schema: application/json
| type | any |
object (PullRequestResponseSchema) |
Request samples
- Payload
Content type
application/json
{- "name": "My Subriver",
- "description": "My Facebook clients sub river",
- "source": {
- "date_range": {
- "start_date": "2020-10-10T12:23:34.123Z",
- "end_date": "2020-10-11T12:34:45.123Z",
- "days_back": 5,
- "time_period": "custom"
}, - "report": "campaigns",
- "connection_id": "5fa7c995f5as82c6crfb9dd565"
}, - "target": {
- "table_name": "ods_klaviyo_campaigns",
- "schema_name": "public"
}, - "is_scheduled": true,
- "schedule": {
- "cron": "* 15 1/2 * * *"
}, - "inherit_schedule": true,
- "is_enabled": false
}Response samples
- 200
- 403
Content type
application/json
"{\"request_status\": \"W\", \"_id\": {\"$oid\": \"61df516b19694a40aa8e24cc\"}, \"results\": []}"Was this topic helpful?